<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    style="@style/Widget.Android.AppWidget.Container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#ffffff"
    android:theme="@style/Theme.Android.AppWidgetContainer">


    <LinearLayout
        android:id="@+id/root_lay"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="4dp"
        android:orientation="vertical"

        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <ImageView
                    android:id="@+id/setting_btn"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_alignParentLeft="true"
                    android:src="@drawable/setting" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <ImageView
                    android:id="@+id/logo_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:scaleType="fitXY"
                    android:src="@drawable/logo_v3" />
            </RelativeLayout>

        </LinearLayout>


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginVertical="16dp"
            android:background="#E0E0E0" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            >

            <LinearLayout
                android:id="@+id/list_lay"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                >

                <RelativeLayout
                    android:id="@+id/first_row"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"

                    >


                    <ImageView
                        android:id="@+id/first_image"
                        android:layout_width="74dp"
                        android:layout_height="74dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:adjustViewBounds="true"
                        android:scaleType="fitXY"
                        android:src="@drawable/test" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginTop="8dp"
                        android:layout_marginRight="8dp"
                        android:layout_toLeftOf="@id/first_image"
                        android:orientation="vertical"

                        >

                        <TextView
                            android:id="@+id/first_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="8dp"
                            android:layout_weight="1"
                            android:ellipsize="end"
                            android:fontFamily="@font/d"
                            android:maxLines="2"
                            android:text=" تحلیل شکاف فناوری صنعت فولاد ایران تحلیل شکاف فناوری صنعت فولاد ایران"
                            android:textColor="#012348"
                            android:textSize="15sp"
                            android:textStyle="bold" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="2">


                            <TextView
                                android:id="@+id/first_duration"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentLeft="true"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="3"
                                android:fontFamily="@font/d"
                                android:gravity="center_vertical"
                                android:text="۳ دقیقه مطالعه"
                                android:textColor="#666666"
                                android:textSize="12dp" />


                            <TextView
                                android:id="@+id/first_tag"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="4"
                                android:fontFamily="@font/d"
                                android:gravity="center_vertical"
                                android:text="رادار فناوری"
                                android:textColor="#292929"
                                android:textSize="12dp" />

                        </RelativeLayout>

                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginVertical="12dp"
                    android:background="#E0E0E0" />

                <RelativeLayout
                    android:id="@+id/middle_row"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/middle_image"
                        android:layout_width="74dp"
                        android:layout_height="74dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:adjustViewBounds="true"

                        android:scaleType="fitXY"
                        android:src="@drawable/test" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="8dp"
                        android:layout_marginRight="8dp"
                        android:layout_toLeftOf="@id/middle_image"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/middle_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:ellipsize="end"
                            android:layout_marginBottom="8dp"

                            android:fontFamily="@font/d"
                            android:maxLines="2"
                            android:text=" تحلیل شکاف فناوری صنعت فولاد ایران تحلیل شکاف فناوری صنعت فولاد ایران"
                            android:textColor="#012348"
                            android:textSize="15sp"
                            android:textStyle="bold" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="2">

                            <TextView
                                android:id="@+id/middle_duration"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentLeft="true"
                                android:layout_gravity="center_vertical"
                                android:fontFamily="@font/d"
                                android:gravity="center_vertical"
                                android:text="۳ دقیقه مطالعه"
                                android:textColor="#666666"
                                android:textSize="12dp"

                                />


                            <TextView
                                android:id="@+id/middle_tag"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_gravity="center_vertical"
                                android:fontFamily="@font/d"
                                android:gravity="center_vertical"
                                android:text="رادار فناوری"
                                android:textColor="#292929"
                                android:textSize="12dp" />

                        </RelativeLayout>

                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginVertical="12dp"
                    android:background="#E0E0E0" />


                <RelativeLayout
                    android:id="@+id/last_row"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="16dp"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/last_image"
                        android:layout_width="74dp"
                        android:layout_height="74dp"
                        android:layout_alignParentRight="true"
                        android:layout_centerInParent="true"
                        android:adjustViewBounds="true"

                        android:scaleType="fitXY"
                        android:src="@drawable/test" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:layout_marginRight="8dp"
                        android:layout_toLeftOf="@id/last_image"
                        android:layout_centerInParent="true"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/last_title"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_marginBottom="8dp"

                            android:ellipsize="end"
                            android:fontFamily="@font/d"
                            android:maxLines="2"
                            android:text=" تحلیل شکاف فناوری صنعت فولاد ایران تحلیل شکاف فناوری صنعت فولاد ایران"
                            android:textColor="#012348"
                            android:textSize="15sp"
                            android:textStyle="bold" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="2"

                            >

                            <TextView
                                android:id="@+id/last_duration"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentLeft="true"
                                android:layout_gravity="center_vertical"
                                android:fontFamily="@font/d"
                                android:gravity="center_vertical"
                                android:text="۳ دقیقه مطالعه"
                                android:textColor="#666666"
                                android:textSize="12dp" />


                            <TextView
                                android:id="@+id/last_tag"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_gravity="center_vertical"
                                android:fontFamily="@font/d"
                                android:gravity="center_vertical"
                                android:text="رادار فناوری"
                                android:textColor="#292929"
                                android:textSize="12dp"

                                />

                        </RelativeLayout>

                    </LinearLayout>

                </RelativeLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:orientation="vertical"
                android:id="@+id/empty_lay"
                android:visibility="visible"


                >
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/chat_light"
                    />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="شما وارد نشدید!!\nبرای ورود به برنامه کلیک کنید"
                    android:textColor="#012348"
                    android:textSize="20sp"
                    android:textStyle="bold"
                    android:gravity="center"
                    />


            </LinearLayout>


        </RelativeLayout>





    </LinearLayout>

</FrameLayout>